Subject: Re: [ANNOUNCE] Git v2.12.0

From: Willy Tarreau <[email-masked]>
Date: Sat, 25 Feb 2017 08:40:57 +0100

Hi Junio,

On Fri, Feb 24, 2017 at 11:28:58AM -0800, Junio C Hamano wrote:
>  * Use of an empty string that is used for 'everything matches' is
>    still warned and Git asks users to use a more explicit '.' for that
>    instead.  The hope is that existing users will not mind this
>    change, and eventually the warning can be turned into a hard error,
>    upgrading the deprecation into removal of this (mis)feature.  That
>    is not scheduled to happen in the upcoming release (yet).

FWIW '.' is not equivalent to '' when it comes to grep or such commands,
you should suggest '^' or '$' instead, otherwise you'll miss empty lines
and users will continue to use '' for that purpose. BTW I do use grep ''
a lot, but only on file systems, not within git (eg: to display contents
of /sys).

Cheers,
Willy